Get Active Theme Main Flavor
Get a description of a theme to be applied. The response contains relative URLs to each file comprising the theme in its main flavor.
To fetch each file, build a URL from filesRoot + files[i] and GET it.
This resource is accessible without authentication.
Request
URI
GET
https://{api_host}/cloudapi/v1/themes/active/{orgName}
COPY
Path Parameters
string
orgName
Required
Resolve the active theme of the organization with the given name. If there is no such organization, or it is not assigned a dedicated theme, the default theme will be returned.
Responses
200
OK
Returns
ThemeDescriptor
of type(s)
application/json;version=9.1.0
{
"mainFlavor": "string",
"portalName": "string",
"filesRoot": "string",
"files": {}
}
Vendor Extension
This operation contains the following vendor extensions defined in the spec:
[{"type":"Modern"},{"type":"Classic"}]
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/themes/active/{orgName}
Availability
Added in 10.0.0.0-alpha
On This Page
Branding Theme Operations
GET
Get Active Theme Main Flavor
GET
Get Active Theme
GET
Get Theme File
GET
Get Theme Flavor File
GET
Get Branding Themes
POST
Create Branding Theme
GET
Get Branding Theme
PUT
Update Branding Theme
DELETE
Delete Branding Theme
GET
Get Theme Zip
PUT
Upload Branding Resource
GET
Get Branding Themes Assignments
GET
Get Branding Theme Assignments
PUT
Set Theme Assignments
DELETE
Delete Branding Theme Assignment